Skip to content
This repository has been archived by the owner on Feb 11, 2021. It is now read-only.

Commit

Permalink
Browse files Browse the repository at this point in the history
Fixed bug 1547 - Fix test(1) utilization within the autoconf script
Brad Smith 2012-07-19 11:39:09 PDT

I noticed this error from the OpenBSD/amd64 buildbot log..

../configure[15018]: test: -O2: unexpected operator/operand

The attached patch fixes the issue.
  • Loading branch information
slouken committed Jul 20, 2012
1 parent 46b3060 commit 92792d7
Show file tree
Hide file tree
Showing 2 changed files with 10 additions and 89 deletions.
97 changes: 9 additions & 88 deletions configure
Expand Up @@ -15553,7 +15553,7 @@ esac
#AX_GCC_ARCHFLAG([no], [BASE_CFLAGS="$BASE_CFLAGS $ax_cv_gcc_archflag]")
BUILD_CFLAGS="$CFLAGS $CPPFLAGS -DUSING_GENERATED_CONFIG_H"
# The default optimization for SDL is -O3 (Bug #31)
if test x$orig_CFLAGS = x; then
if test "x$orig_CFLAGS" = x; then
BUILD_CFLAGS=`echo $BUILD_CFLAGS | sed 's/-O2/-O3/'`
fi
EXTRA_CFLAGS="$INCLUDE $BASE_CFLAGS"
Expand Down Expand Up @@ -24873,25 +24873,19 @@ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
{ echo "$as_me:$LINENO: result: $has_pthread_spin_trylock" >&5
echo "${ECHO_T}$has_pthread_spin_trylock" >&6; }

if test "${ac_cv_header_pthread_np_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for pthread_np.h" >&5
{ echo "$as_me:$LINENO: checking for pthread_np.h" >&5
echo $ECHO_N "checking for pthread_np.h... $ECHO_C" >&6; }
if test "${ac_cv_header_pthread_np_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_pthread_np_h" >&5
echo "${ECHO_T}$ac_cv_header_pthread_np_h" >&6; }
else
# Is the header compilable?
{ echo "$as_me:$LINENO: checking pthread_np.h usability" >&5
echo $ECHO_N "checking pthread_np.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <pthread.h>

#include <pthread_np.h>
_ACEOF
rm -f conftest.$ac_objext
Expand All @@ -24911,95 +24905,22 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler=yes
ac_cv_header_pthread_np_h=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

ac_header_compiler=no
ac_cv_header_pthread_np_h=no
fi

rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }

# Is the header present?
{ echo "$as_me:$LINENO: checking pthread_np.h presence" >&5
echo $ECHO_N "checking pthread_np.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <pthread_np.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

ac_header_preproc=no
fi

rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }

# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
{ echo "$as_me:$LINENO: WARNING: pthread_np.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: pthread_np.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: pthread_np.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: pthread_np.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: pthread_np.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: pthread_np.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: pthread_np.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: pthread_np.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: pthread_np.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: pthread_np.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: pthread_np.h: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: pthread_np.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: pthread_np.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: pthread_np.h: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: pthread_np.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: pthread_np.h: in the future, the compiler will take precedence" >&2;}

;;
esac
{ echo "$as_me:$LINENO: checking for pthread_np.h" >&5
echo $ECHO_N "checking for pthread_np.h... $ECHO_C" >&6; }
if test "${ac_cv_header_pthread_np_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_cv_header_pthread_np_h=$ac_header_preproc
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_pthread_np_h" >&5
echo "${ECHO_T}$ac_cv_header_pthread_np_h" >&6; }

fi
if test $ac_cv_header_pthread_np_h = yes; then
have_pthread_np_h=yes
else
have_pthread_np_h=no
fi


Expand Down
2 changes: 1 addition & 1 deletion configure.in
Expand Up @@ -84,7 +84,7 @@ esac
#AX_GCC_ARCHFLAG([no], [BASE_CFLAGS="$BASE_CFLAGS $ax_cv_gcc_archflag]")
BUILD_CFLAGS="$CFLAGS $CPPFLAGS -DUSING_GENERATED_CONFIG_H"
# The default optimization for SDL is -O3 (Bug #31)
if test x$orig_CFLAGS = x; then
if test "x$orig_CFLAGS" = x; then
BUILD_CFLAGS=`echo $BUILD_CFLAGS | sed 's/-O2/-O3/'`
fi
EXTRA_CFLAGS="$INCLUDE $BASE_CFLAGS"
Expand Down

0 comments on commit 92792d7

Please sign in to comment.